//*PMRawBegin
#include "colors.inc"
#include "textures.inc"

#fopen fHandle "control.dat" read
#read (fHandle spax1,spax2,spax3,spax4,spax5)
#read (fHandle mvax1,mvax2,mvax3,mvax4,mvax5)
#fclose fHandle 
 

background {Gray80}
//*PMRawEnd

global_settings {
   adc_bailout 0.0039216
   assumed_gamma 1.5
   max_trace_level 256
   noise_generator 2
}

union {
   //*PMName Roboter
   
   union {
      //*PMName Aufbau
      
      difference {
         //*PMName Basis
         
         merge {
            cone {
               <0, 0.3, 0>, 1.45,
               <0, 0.2, 0>, 1.5
            }
            
            cylinder {
               <0, 0.2, 0>, <0, -0.2, 0>, 1.5
            }
            
            cone {
               <0, -0.2, 0>, 1.5,
               <0, -0.3, 0>, 1.45
            }
            translate y*0.6
         }
         
         texture {
            //*PMRawBegin
            Starfield
            //*PMRawEnd
            
            finish {
               //*PMRawBegin
               Dull
               //*PMRawEnd
               conserve_energy
               
               reflection {
                  rgb <0.1, 0.1, 0.1>
               }
            }
         }
      }
      
      merge {
         //*PMName Arm
         
         union {
            //*PMName linker Teil
            
            cylinder {
               <0, 0.195, 0>, <0, -0.195, 0>, 0.5
               rotate z*90
               translate <-0.5, 4, 0>
            }
            
            cone {
               <0, 0.1, 0>, 0.45,
               <0, 0, 0>, 0.5
               scale 1
               rotate z*90
               translate <-0.695, 4, 0>
            }
            
            box {
               <-0.195, -2, -0.5>, <0.195, 2, 0.5>
               translate <-0.5, 2, 0>
            }
            
            cylinder {
               <0, 0.195, 0>, <0, -0.195, 0>, 0.8
               rotate z*90
               translate x*(-0.5)
            }
            
            cone {
               <0, 0.1, 0>, 0.75,
               <0, 0, 0>, 0.8
               scale 1
               rotate z*90
               translate x*(-0.695)
            }
         }
         
         union {
            //*PMName rechter Teil
            
            cylinder {
               <0, 0.195, 0>, <0, -0.195, 0>, 0.5
               rotate z*90
               translate <0.5, 4, 0>
            }
            
            cone {
               <0, 0.1, 0>, 0.5,
               <0, 0, 0>, 0.45
               rotate z*90
               translate <0.795, 4, 0>
            }
            
            box {
               <-0.195, -2, -0.5>, <0.195, 2, 0.5>
               translate <0.5, 2, 0>
            }
            
            cylinder {
               <0, 0.195, 0>, <0, -0.195, 0>, 0.8
               rotate z*90
               translate x*0.5
            }
            
            cone {
               <0, 0.1, 0>, 0.8,
               <0, 0, 0>, 0.75
               rotate z*90
               translate x*0.795
            }
         }
         
         merge {
            //*PMName 2. Armstueck
            
            union {
               //*PMName Greifer
               
               union {
                  union {
                     //*PMName Greifergelenk
                     
                     cone {
                        <0, 0.54, 1>, 0.25,
                        <0, 0.495, 1>, 0.3
                        
                        pigment {
                           color rgb <0.388235, 0.541176, 0.537255>
                        }
                     }
                     
                     cylinder {
                        <0, 0.495, 1>, <0, 0.2, 1>, 0.5
                     }
                     
                     cone {
                        <0, -0.49, 1>, 0.3,
                        <0, -0.54, 1>, 0.25
                        
                        pigment {
                           color rgb <0.388235, 0.541176, 0.537255>
                        }
                     }
                     
                     cylinder {
                        <0, -0.49, 1>, <0, -0.2, 1>, 0.5
                     }
                     
                     box {
                        <-0.3, -0.49, 0.4>, <0.3, -0.2, 1>
                     }
                     
                     box {
                        <-0.3, 0.2, 0.4>, <0.3, 0.495, 1>
                     }
                     
                     cylinder {
                        <0, 0.2, 0>, <0, 0.4, 0>, 0.6
                        rotate x*90
                     }
                     
                     cylinder {
                        <0, 0.31, 0>, <0, 0.26, 0>, 0.601
                        
                        pigment {
                           color rgb <0, 0, 0>
                        }
                        rotate x*90
                     }
                     
                     cone {
                        <0, 0.2, 0>, 0.6,
                        <0, 0.15, 0>, 0.55
                        rotate x*90
                     }
                     translate z*(-1)
                  }
                  
                  union {
                     //*PMName Greifer
                     
                     box {
                        //*PMName Greifersockel
                        <-0.075, -0.5, 0.15>, <0.075, 0.5, -0.15>
                        
                        pigment {
                        }
                        
                        finish {
                           //*PMRawBegin
                           Dull
                           //*PMRawEnd
                        }
                     }
                     
                     union {
                        //*PMName Linke Greiferbacke
                        
                        cylinder {
                           <0.35, 0.15, 0>, <0.35, -0.15, 0>, 0.05
                           rotate z*90
                        }
                        
                        box {
                           <0.08, 0.3, -1>, <0.15, 0.4, 0>
                        }
                        
                        box {
                           <-0.15, 0.3, -1>, <-0.08, 0.4, 0>
                        }
                        
                        cylinder {
                           <0.35, 0.15, -1>, <0.35, -0.15, -1>, 0.05
                           rotate z*90
                        }
                        
                        pigment {
                           color rgb <1.2, 1.2, 1.2>
                        }
                     }
                     
                     union {
                        //*PMName Rechte Greiferbacke
                        
                        cylinder {
                           <-0.35, 0.15, 0>, <-0.35, -0.15, 0>, 0.05
                           rotate z*90
                        }
                        
                        box {
                           <-0.15, -0.4, -1>, <-0.08, -0.3, 0>
                        }
                        
                        box {
                           <0.08, -0.4, -1>, <0.15, -0.3, 0>
                        }
                        
                        cylinder {
                           <-0.35, 0.15, -1>, <-0.35, -0.15, -1>, 0.05
                           rotate z*90
                        }
                        
                        pigment {
                           color rgb <1.2, 1.2, 1.2>
                        }
                     }
                     
                     superellipsoid {
                        //*PMName Packstueck
                        <0.25, 0.25>
                        
                        texture {
                           //*PMRawBegin
                           Gold_Metal
                           //*PMRawEnd
                        }
                        scale <1, 0.29, 0.2>
                        translate z*(-1)
                     }
                     //*PMRawBegin
                     rotate z*spax5
                     rotate z*mvax5*clock
                     
                     
                     // rotate z*180*clock
                     //*PMRawEnd
                     translate z*(-1)
                  }
               }
               //*PMRawBegin
               rotate y*spax4
               rotate y*mvax4*clock
               
               //rotate -y*40*sin(2*pi*clock)
               //*PMRawEnd
               translate z*(-5)
            }
            
            cylinder {
               <0, 0.295, 0>, <0, -0.295, 0>, 0.49
            }
            
            box {
               <-0.4, -0.195, 0>, <0.4, 0.195, -5>
            }
            
            cylinder {
               <0, 0.195, -5>, <0, -0.195, -5>, 0.49
            }
            
            pigment {
               color rgb <0.933333, 0.933333, 0.933333>
            }
            rotate z*90
            //*PMRawBegin
            rotate x*spax3
            rotate x*mvax3*clock
            
            //rotate -x*45*sin(2*pi*clock)
            //*PMRawEnd
            translate y*4
         }
         
         pigment {
            color rgb <1, 1, 1>
         }
         //*PMRawBegin
         rotate x*spax2
         rotate x*mvax2*clock
         
         //rotate x*30*sin(2*pi*clock)
         //*PMRawEnd
         translate y*1.9
      }
      
      merge {
         //*PMName Halterung
         
         box {
            <-0.295, -0.5, -0.8>, <0.295, 0.5, 0.8>
            translate y*1.4
         }
         
         cylinder {
            <0, 0.295, 0>, <0, -0.295, 0>, 0.8
            rotate z*90
            translate y*1.9
         }
         
         pigment {
            color rgb <1, 1, 1>
         }
      }
      //*PMRawBegin
      rotate y*spax1
      rotate y*mvax1*clock
      
      //rotate y*90*sin(2*pi*clock)
      //*PMRawEnd
   }
   
   torus {
      //*PMName Drehring
      1.475, 0.045
      
      pigment {
         color rgb <0.3, 0.5, 0.5>
      }
      
      finish {
         //*PMRawBegin
         Dull
         //*PMRawEnd
      }
      translate y*0.3125
   }
   
   difference {
      //*PMName Sockel
      
      merge {
         cone {
            <0, 0.3, 0>, 1.45,
            <0, 0.2, 0>, 1.5
         }
         
         cylinder {
            <0, 0.2, 0>, <0, -0.2, 0>, 1.5
         }
         
         cone {
            <0, -0.2, 0>, 1.5,
            <0, -0.3, 0>, 1.45
         }
      }
      
      texture {
         //*PMRawBegin
         Starfield
         //*PMRawEnd
         
         finish {
            //*PMRawBegin
            Dull
            //*PMRawEnd
            conserve_energy
            
            reflection {
               rgb <0.1, 0.1, 0.1>
            }
         }
      }
   }
   scale 1.33
   translate y*(-5)
   no_shadow
}

light_source {
   <-7, 5, -15>, rgb <1, 1, 1>
}

camera {
   perspective
   location <0, 6, -19>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}